Welcome! » Log In » Create A New Profile

Upgrading 1-server in complex to 8.12+

Posted by Zoltan Forray 
Zoltan Forray
Upgrading 1-server in complex to 8.12+
June 27, 2019 08:59AM
Currently all 7-servers in our environment are RHEL7 and ISP 7.1.7.400. Due
to the way we perform certain backups (soon to be phased-out), we can not
upgrade our ISP servers to 7.1.8/8.1.2 due to the automatic SSL/TLS
enforcement which disables the webclient/interface (and no, V8.1.7+ does
not work in our environment).

We have 1-small server that is having issues we hope will be corrected if
we upgrade to 8.1.2+.

But, since this server talks to multiple other servers (offsite
replication, tape library managers), we don't want to try this until we
know what to expect and how it will impact the rest of the complex, if at
all.

Has anyone done this kind of phased update/upgrade? I seem to recall
something about a Library Client server NOT being at a higher level than a
Library Manager server but is this a hard-rule or just a recommendation?

--
*Zoltan Forray*
Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
VMware Administrator
Xymon Monitor Administrator
Virginia Commonwealth University
UCC/Office of Technology Services
www.ucc.vcu.edu
zforray@vcu.edu - 804-828-4807
Don't be a phishing victim - VCU and other reputable organizations will
never use email to request that you reply with your password, social
security number or confidential personal information. For more details
visit http://phishing.vcu.edu/
This message was imported via the External PhorumMail Module
Lee, Gary
Re: Upgrading 1-server in complex to 8.12+
June 27, 2019 08:59AM
When I upgraded from 6.3.5 to 7.1.7, I tried upgrading one lib manager server. My other two 6.3.5 clients would not communicate. Had to upgrade them.
Don't know how it is now, but that was my experience a few hears ago.


-----Original Message-----
From: ADSM: Dist Stor Manager <ADSM-L@VM.MARIST.EDU> On Behalf Of Zoltan Forray
Sent: Thursday, June 27, 2019 11:11 AM
To: ADSM-L@VM.MARIST.EDU
Subject: [ADSM-L] Upgrading 1-server in complex to 8.12+

Currently all 7-servers in our environment are RHEL7 and ISP 7.1.7.400. Due
to the way we perform certain backups (soon to be phased-out), we can not
upgrade our ISP servers to 7.1.8/8.1.2 due to the automatic SSL/TLS
enforcement which disables the webclient/interface (and no, V8.1.7+ does
not work in our environment).

We have 1-small server that is having issues we hope will be corrected if
we upgrade to 8.1.2+.

But, since this server talks to multiple other servers (offsite
replication, tape library managers), we don't want to try this until we
know what to expect and how it will impact the rest of the complex, if at
all.

Has anyone done this kind of phased update/upgrade? I seem to recall
something about a Library Client server NOT being at a higher level than a
Library Manager server but is this a hard-rule or just a recommendation?

--
*Zoltan Forray*
Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
VMware Administrator
Xymon Monitor Administrator
Virginia Commonwealth University
UCC/Office of Technology Services
https://nam05.safelinks.protection.outlook.com/?url=www.ucc.vcu.edu&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cd200303c52a64fb6a20d08d6fb11de6b%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972451496538970&amp;sdata=2O89lDfVTxzFcvSHLOlVIuKNuc13zlDURAbTAMv%2FEEA%3D&amp;reserved=0
zforray@vcu.edu - 804-828-4807
Don't be a phishing victim - VCU and other reputable organizations will
never use email to request that you reply with your password, social
security number or confidential personal information. For more details
visit https://nam05.safelinks.protection.outlook.com/?url=http%3A%2F%2Fphishing.vcu.edu%2F&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cd200303c52a64fb6a20d08d6fb11de6b%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972451496548961&amp;sdata=owi%2FaEXQzbCEm7KtpIICY1qez6f9R8aTR5NnbIcvTuE%3D&amp;reserved=0
This message was imported via the External PhorumMail Module
Zoltan Forray
Re: Upgrading 1-server in complex to 8.12+
June 27, 2019 09:59AM
Thanks. That is what I thought I remembered reading. Unfortunately, that
will hold us up since the server with the problem clients is an LM and
can't be upgraded until those problem clients go away.

How about upgrading a replica target server to higher than the replica
source servers?

On Thu, Jun 27, 2019 at 11:39 AM Lee, Gary <glee@bsu.edu> wrote:

> When I upgraded from 6.3.5 to 7.1.7, I tried upgrading one lib manager
> server. My other two 6.3.5 clients would not communicate. Had to upgrade
> them.
> Don't know how it is now, but that was my experience a few hears ago.
>
>
> -----Original Message-----
> From: ADSM: Dist Stor Manager <ADSM-L@VM.MARIST.EDU> On Behalf Of Zoltan
> Forray
> Sent: Thursday, June 27, 2019 11:11 AM
> To: ADSM-L@VM.MARIST.EDU
> Subject: [ADSM-L] Upgrading 1-server in complex to 8.12+
>
> Currently all 7-servers in our environment are RHEL7 and ISP 7.1.7.400. Due
> to the way we perform certain backups (soon to be phased-out), we can not
> upgrade our ISP servers to 7.1.8/8.1.2 due to the automatic SSL/TLS
> enforcement which disables the webclient/interface (and no, V8.1.7+ does
> not work in our environment).
>
> We have 1-small server that is having issues we hope will be corrected if
> we upgrade to 8.1.2+.
>
> But, since this server talks to multiple other servers (offsite
> replication, tape library managers), we don't want to try this until we
> know what to expect and how it will impact the rest of the complex, if at
> all.
>
> Has anyone done this kind of phased update/upgrade? I seem to recall
> something about a Library Client server NOT being at a higher level than a
> Library Manager server but is this a hard-rule or just a recommendation?
>
> --
> *Zoltan Forray*
> Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
> VMware Administrator
> Xymon Monitor Administrator
> Virginia Commonwealth University
> UCC/Office of Technology Services
>
> https://nam05.safelinks.protection.outlook.com/?url=www.ucc.vcu.edu&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cd200303c52a64fb6a20d08d6fb11de6b%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972451496538970&amp;sdata=2O89lDfVTxzFcvSHLOlVIuKNuc13zlDURAbTAMv%2FEEA%3D&amp;reserved=0
> zforray@vcu.edu - 804-828-4807
> Don't be a phishing victim - VCU and other reputable organizations will
> never use email to request that you reply with your password, social
> security number or confidential personal information. For more details
> visit
> https://nam05.safelinks.protection.outlook.com/?url=http%3A%2F%2Fphishing.vcu.edu%2F&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cd200303c52a64fb6a20d08d6fb11de6b%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972451496548961&amp;sdata=owi%2FaEXQzbCEm7KtpIICY1qez6f9R8aTR5NnbIcvTuE%3D&amp;reserved=0
>


--
*Zoltan Forray*
Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
VMware Administrator
Xymon Monitor Administrator
Virginia Commonwealth University
UCC/Office of Technology Services
www.ucc.vcu.edu
zforray@vcu.edu - 804-828-4807
Don't be a phishing victim - VCU and other reputable organizations will
never use email to request that you reply with your password, social
security number or confidential personal information. For more details
visit http://phishing.vcu.edu/
This message was imported via the External PhorumMail Module
Lee, Gary
Re: Upgrading 1-server in complex to 8.12+
June 27, 2019 09:59AM
Don't know, we never had the hardware to do server replication.

-----Original Message-----
From: ADSM: Dist Stor Manager <ADSM-L@VM.MARIST.EDU> On Behalf Of Zoltan Forray
Sent: Thursday, June 27, 2019 12:15 PM
To: ADSM-L@VM.MARIST.EDU
Subject: Re: [ADSM-L] Upgrading 1-server in complex to 8.12+

Thanks. That is what I thought I remembered reading. Unfortunately, that
will hold us up since the server with the problem clients is an LM and
can't be upgraded until those problem clients go away.

How about upgrading a replica target server to higher than the replica
source servers?

On Thu, Jun 27, 2019 at 11:39 AM Lee, Gary <glee@bsu.edu> wrote:

> When I upgraded from 6.3.5 to 7.1.7, I tried upgrading one lib manager
> server. My other two 6.3.5 clients would not communicate. Had to upgrade
> them.
> Don't know how it is now, but that was my experience a few hears ago.
>
>
> -----Original Message-----
> From: ADSM: Dist Stor Manager <ADSM-L@VM.MARIST.EDU> On Behalf Of Zoltan
> Forray
> Sent: Thursday, June 27, 2019 11:11 AM
> To: ADSM-L@VM.MARIST.EDU
> Subject: [ADSM-L] Upgrading 1-server in complex to 8.12+
>
> Currently all 7-servers in our environment are RHEL7 and ISP 7.1.7.400. Due
> to the way we perform certain backups (soon to be phased-out), we can not
> upgrade our ISP servers to 7.1.8/8.1.2 due to the automatic SSL/TLS
> enforcement which disables the webclient/interface (and no, V8.1.7+ does
> not work in our environment).
>
> We have 1-small server that is having issues we hope will be corrected if
> we upgrade to 8.1.2+.
>
> But, since this server talks to multiple other servers (offsite
> replication, tape library managers), we don't want to try this until we
> know what to expect and how it will impact the rest of the complex, if at
> all.
>
> Has anyone done this kind of phased update/upgrade? I seem to recall
> something about a Library Client server NOT being at a higher level than a
> Library Manager server but is this a hard-rule or just a recommendation?
>
> --
> *Zoltan Forray*
> Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
> VMware Administrator
> Xymon Monitor Administrator
> Virginia Commonwealth University
> UCC/Office of Technology Services
>
> https://nam05.safelinks.protection.outlook.com/?url=www.ucc.vcu.edu&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cec4fff323b2947a1e70c08d6fb1b3351%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972491586443294&amp;sdata=QDQapXOzfgh6AL3U4bEfp%2BL9%2FGH0ysqYc1fmd5m1eQs%3D&amp;reserved=0
> zforray@vcu.edu - 804-828-4807
> Don't be a phishing victim - VCU and other reputable organizations will
> never use email to request that you reply with your password, social
> security number or confidential personal information. For more details
> visit
> https://nam05.safelinks.protection.outlook.com/?url=http%3A%2F%2Fphishing.vcu.edu%2F&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cec4fff323b2947a1e70c08d6fb1b3351%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972491586453287&amp;sdata=tTqRlgCiPB5pPwTcz9N7ACTfFDAUZkcY1vP7S6qOS%2Bo%3D&amp;reserved=0
>


--
*Zoltan Forray*
Spectrum Protect (p.k.a. TSM) Software & Hardware Administrator
VMware Administrator
Xymon Monitor Administrator
Virginia Commonwealth University
UCC/Office of Technology Services
https://nam05.safelinks.protection.outlook.com/?url=www.ucc.vcu.edu&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cec4fff323b2947a1e70c08d6fb1b3351%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972491586453287&amp;sdata=lDH6smUW3hXrugVzyRkUZV2rzqvFtwtaFDQmnNgzHBY%3D&amp;reserved=0
zforray@vcu.edu - 804-828-4807
Don't be a phishing victim - VCU and other reputable organizations will
never use email to request that you reply with your password, social
security number or confidential personal information. For more details
visit https://nam05.safelinks.protection.outlook.com/?url=http%3A%2F%2Fphishing.vcu.edu%2F&amp;data=02%7C01%7Cglee%40BSU.EDU%7Cec4fff323b2947a1e70c08d6fb1b3351%7C6fff909f07dc40da9e30fd7549c0f494%7C0%7C0%7C636972491586453287&amp;sdata=tTqRlgCiPB5pPwTcz9N7ACTfFDAUZkcY1vP7S6qOS%2Bo%3D&amp;reserved=0
This message was imported via the External PhorumMail Module
Sorry, only registered users may post in this forum.

Click here to login